Subject: Re: [PATCH 1/2] clone: Fix error message for reference repository

From: Jonathan Nieder <[email-masked]>
Date: Mon, 8 Apr 2013 17:18:17 -0700

Aaron Schrab wrote:

> Do not report that an argument to clone's --reference option is not a
> local directory.  Nothing checks for the existence or type of the path
> as supplied by the user; checks are only done for particular contents of
> the supposed directory, so we have no way to know the status of the
> supplied path.

Yes, makes sense.

Reviewed-by: Jonathan Nieder <[email-masked]>

My only remaining qualm is that a person could be confused by the
message after trying to pass in --reference=file:///path/to/repo, but
I guess that trial and error would eventually lead such a person in
the right direction.